package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.enums.UserGenderEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/9/19
 */
public class StudentManageListDto {

    @ApiModelProperty(value = "用户ID",required = false)
    private Long userId;


    @ApiModelProperty(value = "用户名",required = false)
    private String userName;

    @ApiModelProperty(value = "性别",required = false)
    private UserGenderEnum gender;

    @ApiModelProperty(value = "电话号码",required = false)
    private String phone;

    @ApiModelProperty(value = "学校ID",required = false)
    private Long schoolId;

    @ApiModelProperty(value = "学校名称",required = false)
    private String schoolName;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public UserGenderEnum getGender() {
        return gender;
    }

    public void setGender(UserGenderEnum gender) {
        this.gender = gender;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }
}
